UR::Namespace::Command::Sys::ClassBrowser(3pm)

NAME
UR::Namespace::Command::Sys::ClassBrowser - WebApp for browsing the class structure

SYNOPSIS
  # Start the web server
  ur sys class-browser

  # Create the cache file for the current namespace
  ur sys class-browser --generate-cache

DESCRIPTION
The class-browser command starts an embedded web server containing an app for browsing through the class structure. After starting, it prints a URL on STDOUT that can be copy-and-pasted into a browser to run the app.

COMMAND-LINE OPTIONS
With no options, the command expects to be run within a Namespace directory. It will auto-discover all the classes in the Namespace, either from a previously created cache file, or by scanning all the perl modules within the Namespace's subdirectory.

--generate-cache
    Instead of starting a web server, the command will scan for all perl modules within the Namespace's subdirectory and create a file called .<namespace>-class-browser-cache, then exit. This file will contain information about all the classes it found, which will improve the start-up time the next time the command is run.

--port <port>
    Change the TCP port the web server listens on. The default is 8080.

--nouse-cache
    The command will use the cache file generated by the --generate-cache option if it finds one. When --nouse-cache is used, it will always scan for perl modules, and will ignore any cache that may be present.

--verbose
    Causes the command to print the STDOUT the URLs loaded while it is running.

SEE ALSO
UR, UR::Object::Type, UR::Service::WebServer